Package org.apache.lucene.codecs.lucene90.compressing

## Class Lucene90CompressingStoredFieldsReader

- java.lang.Object
- - org.apache.lucene.index.StoredFields
  - - org.apache.lucene.codecs.StoredFieldsReader
    - - org.apache.lucene.codecs.lucene90.compressing.Lucene90CompressingStoredFieldsReader

- All Implemented Interfaces:
    `Closeable`, `AutoCloseable`, `Cloneable`

      public final class Lucene90CompressingStoredFieldsReader
      extends StoredFieldsReader

  `StoredFieldsReader` impl for `Lucene90CompressingStoredFieldsFormat`.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Lucene90CompressingStoredFieldsReader​(Directory d, SegmentInfo si, String segmentSuffix, FieldInfos fn, IOContext context, String formatName, CompressionMode compressionMode)` | Sole constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `checkIntegrity()` | Checks consistency of this reader.
    `StoredFieldsReader` | `clone()` |
    `void` | `close()` | Close the underlying `IndexInput`s.
    `void` | `document​(int docID, StoredFieldVisitor visitor)` | Expert: visits the fields of a stored document, for custom processing/loading of each field.
    `StoredFieldsReader` | `getMergeInstance()` | Returns an instance optimized for merging.
    `String` | `toString()` |

    - ### Methods inherited from class org.apache.lucene.index.StoredFields

      `document, document`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Lucene90CompressingStoredFieldsReader

          public Lucene90CompressingStoredFieldsReader​(Directory d,
                                                       SegmentInfo si,
                                                       String segmentSuffix,
                                                       FieldInfos fn,
                                                       IOContext context,
                                                       String formatName,
                                                       CompressionMode compressionMode)
                                                throws IOException

      Sole constructor.
      Throws:
        `IOException`

  - ### Method Detail

    - #### close

          public void close()
                     throws IOException

      Close the underlying `IndexInput`s.
      Throws:
        `IOException`

    - #### document

          public void document​(int docID,
                               StoredFieldVisitor visitor)
                        throws IOException

      Description copied from class: `StoredFields`
      Expert: visits the fields of a stored document, for custom processing/loading of each field. If you simply want to load all fields, use `StoredFields.document(int)`. If you want to load a subset, use `DocumentStoredFieldVisitor`.
      Specified by:
        `document` in class `StoredFields`
      Throws:
        `IOException`

    - #### clone

          public StoredFieldsReader clone()

      Specified by:
        `clone` in class `StoredFieldsReader`

    - #### getMergeInstance

          public StoredFieldsReader getMergeInstance()

      Description copied from class: `StoredFieldsReader`
      Returns an instance optimized for merging. This instance may not be cloned.

      The default implementation returns `this`

      Overrides:
        `getMergeInstance` in class `StoredFieldsReader`

    - #### checkIntegrity

          public void checkIntegrity()
                              throws IOException

      Description copied from class: `StoredFieldsReader`
      Checks consistency of this reader.

      Note that this may be costly in terms of I/O, e.g. may involve computing a checksum value against large data files.

      Specified by:
        `checkIntegrity` in class `StoredFieldsReader`
      Throws:
        `IOException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`